GlueGen: com.jogamp.gluegen.JavaCallbackEmitter Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.JavaCallbackEmitter Class Reference
Collaboration diagram for com.jogamp.gluegen.JavaCallbackEmitter:

## Public Member Functions

| JavaCallbackEmitter (final JavaConfiguration cfg, final MethodBinding mb, final JavaCallbackInfo javaCallback, final String setFuncSignature)
void | emitJavaAdditionalCode (final CodeUnit unit, final boolean isInterface)
final String | getJavaStaticCallbackSignature ()
final int | appendJavaAdditionalJNIParameter (final StringBuilder buf)
final int | appendJavaAdditionalJNIArguments (final StringBuilder buf)
void | emitJavaSetFuncPreCall (final CodeUnit unit)
int | appendCAdditionalParameter (final StringBuilder buf)
void | emitCOptArgumentSuffix (final CodeUnit unit, final int argIdx)
void | appendCAdditionalJNIDescriptor (final StringBuilder buf)
void | emitCSetFuncPreCall (final CodeUnit unit)
void | emitCAdditionalCode (final CodeUnit unit, final CMethodBindingEmitter jcbFuncCMethodEmitter)
| Emit addition C code, i.e. More...

## Detailed Description

Definition at line 35 of file JavaCallbackEmitter.java.

## Constructor & Destructor Documentation

## ◆ JavaCallbackEmitter()

com.jogamp.gluegen.JavaCallbackEmitter.JavaCallbackEmitter | ( | final JavaConfiguration | cfg,
|  | final MethodBinding | mb,
|  | final JavaCallbackInfo | javaCallback,
|  | final String | setFuncSignature
| ) |  |

Definition at line 67 of file JavaCallbackEmitter.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ appendCAdditionalJNIDescriptor()

void com.jogamp.gluegen.JavaCallbackEmitter.appendCAdditionalJNIDescriptor | ( | final StringBuilder | buf | ) |

Definition at line 662 of file JavaCallbackEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ appendCAdditionalParameter()

int com.jogamp.gluegen.JavaCallbackEmitter.appendCAdditionalParameter | ( | final StringBuilder | buf | ) |

Definition at line 647 of file JavaCallbackEmitter.java.

Here is the caller graph for this function:

## ◆ appendJavaAdditionalJNIArguments()

final int com.jogamp.gluegen.JavaCallbackEmitter.appendJavaAdditionalJNIArguments | ( | final StringBuilder | buf | ) |

Definition at line 510 of file JavaCallbackEmitter.java.

Here is the caller graph for this function:

## ◆ appendJavaAdditionalJNIParameter()

final int com.jogamp.gluegen.JavaCallbackEmitter.appendJavaAdditionalJNIParameter | ( | final StringBuilder | buf | ) |

Definition at line 502 of file JavaCallbackEmitter.java.

Here is the caller graph for this function:

## ◆ emitCAdditionalCode()

void com.jogamp.gluegen.JavaCallbackEmitter.emitCAdditionalCode | ( | final CodeUnit | unit,
|  | final CMethodBindingEmitter | jcbFuncCMethodEmitter
| ) |  |

Emit addition C code, i.e.

global varialbles and static callback invocation

Parameters

  unit | output C code unit
  jcbFuncCMethodEmitter | only used to access `CMethodBindingEmitter#emitBodyMapCToJNIType(int, boolean)`, a non-ideal hack! (FIXME)

Definition at line 752 of file JavaCallbackEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitCOptArgumentSuffix()

void com.jogamp.gluegen.JavaCallbackEmitter.emitCOptArgumentSuffix | ( | final CodeUnit | unit,
|  | final int | argIdx
| ) |  |

Definition at line 656 of file JavaCallbackEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitCSetFuncPreCall()

void com.jogamp.gluegen.JavaCallbackEmitter.emitCSetFuncPreCall | ( | final CodeUnit | unit | ) |

Definition at line 670 of file JavaCallbackEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitJavaAdditionalCode()

void com.jogamp.gluegen.JavaCallbackEmitter.emitJavaAdditionalCode | ( | final CodeUnit | unit,
|  | final boolean | isInterface
| ) |  |

Definition at line 140 of file JavaCallbackEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitJavaSetFuncPreCall()

void com.jogamp.gluegen.JavaCallbackEmitter.emitJavaSetFuncPreCall | ( | final CodeUnit | unit | ) |

Definition at line 519 of file JavaCallbackEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getJavaStaticCallbackSignature()

final String com.jogamp.gluegen.JavaCallbackEmitter.getJavaStaticCallbackSignature | ( |  | ) |

Definition at line 482 of file JavaCallbackEmitter.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/JavaCallbackEmitter.java